xcb_change_keyboard_mapping(3)

NAME
xcb_change_keyboard_mapping -

SYNOPSIS
#include <xcb/xproto.h>

  Request function

xcb_void_cookie_t xcb_change_keyboard_mapping(xcb_connection_t *conn, uint8_t keycode_count, xcb_keycode_t first_keycode, uint8_t keysyms_per_keycode, const xcb_keysym_t *keysyms);

REQUEST ARGUMENTS

conn
    The XCB connection to X11.

keycode_count
    TODO: NOT YET DOCUMENTED.

first_keycode
    TODO: NOT YET DOCUMENTED.

keysyms_per_keycode
    TODO: NOT YET DOCUMENTED.

keysyms
    TODO: NOT YET DOCUMENTED.

DESCRIPTION

RETURN VALUE
Returns an xcb_void_cookie_t. Errors (if any) have to be handled in the event loop.

If you want to handle errors directly with xcb_request_check instead, use xcb_change_keyboard_mapping_checked. See xcb-requests(3) for details.

ERRORS
This request does never generate any errors.

SEE ALSO

AUTHOR
Generated from xproto.xml. Contact xcb@lists.freedesktop.org for corrections and improvements.